petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscStrreplace

Replaces substrings in string with other substrings

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrreplace(MPI_Comm comm,const char aa[],char b[],size_t len)

Not Collective

### Input Parameters

| comm | - MPI_Comm of processors that are processing the string
| aa | - the string to look in
| b | - the resulting copy of a with replaced strings (b can be the same as a)
| len | - the length of b

### Notes

Replaces ${PETSC_ARCH},${PETSC_DIR},${PETSC_LIB_DIR},${DISPLAY}, ${HOMEDIRECTORY},${WORKINGDIRECTORY},${USERNAME}, ${HOSTNAME} with appropriate values as well as any environmental variables.

PETSC_LIB_DIR uses the environmental variable if it exists. PETSC_ARCH and PETSC_DIR use what PETSc was built with and do not use environmental variables.

Not for use in Fortran

### Level

intermediate

### Location

src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages